# Contributing
See [Atom's Contributing guidelines](https://atom.io/docs/latest/contributing).

## Reporting an issue
Please use [GitHub's Issue Search](https://help.github.com/articles/using-search-to-filter-issues-and-pull-requests/) to help reduce the number of duplicate issues reported.
If you find an issue you're facing, feel free to comment on the open issues you're facing to raise with any details that could help debugging the problem.

When reporting an issue include information such as:
* **Reproduction steps** if possible.
* The Platform (Operating System) you're on.
* The Atom version you're running.
* The Script package version.
* The Grammar you're attempting to run.
* Consider adding a failing spec, with an Atom package this isn't as simple but could really help speed up debugging the issue.

The more information available when we take a look at your issue the more likely we can deal with it in a quick manner.

## Developing
We love pull requests! If you're reading this section thanks in advanced.

To help accelerate the review process:
* Consider adding specs.
  * Passing tests give reviewers confidence.
* Consider adding verification steps for reviewers.
